﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace OTIS_Testing
{
    public partial class ConfigForm : Form
    {
        public ConfigForm()
        {
            InitializeComponent();
        }

        public ConfigForm(PublicConifg config)
        {
            publicConfig = config;
            InitializeComponent();
        }

        private PublicConifg publicConfig;
        public bool isOK = false;
        private void ConfigForm_Load(object sender, EventArgs e)
        {
            txtBlock_Thick.DataBindings.Add("Text", publicConfig, "Block_Thick");
            txtHole_Bigdia.DataBindings.Add("Text", publicConfig, "Hole_Bigdia");
            txtHole_Smaildia.DataBindings.Add("Text", publicConfig, "Hole_Smaildia");
            txtPlate_Height.DataBindings.Add("Text", publicConfig, "Plate_Height");
            txtPlate_Holeradius.DataBindings.Add("Text", publicConfig, "Plate_Holeradius");
            txtPlate_Length.DataBindings.Add("Text", publicConfig, "Plate_Length");
            txtPlate_Thick.DataBindings.Add("Text", publicConfig, "Plate_Thick");
            txtPlate_Width.DataBindings.Add("Text", publicConfig, "Plate_Width");
        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            isOK = true;
            this.Close();
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            this.Close();
        }
    }
}
